%define name		node
%define version		6.11.2
%define release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Node.js is a platform for building fast, scalable network application
URL:		https://nodejs.org
Group:		Development/Other
License:	MIT
Source:		%{name}-v%{version}-linux-x64.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Node.js® is a platform built on Chrome's JavaScript runtime for easily building fast,
scalable network applications. Node.js uses an event-driven, non-blocking I/O model
that makes it lightweight and efficient, perfect for data-intensive real-time
applications that run across distributed devices.

%prep
%setup -qn %{name}-v%{version}-linux-x64

%build
#nobuild

%install
%__rm -rf %buildroot
mkdir -p %buildroot/%_bindir
cp -R ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/bin/* %buildroot/%_bindir

mkdir -p %buildroot/%_includedir/%{name}
cp -R ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/include/%{name}/ %buildroot/%_includedir/

mkdir -p %buildroot/%_exec_prefix/lib/%{name}_modules/
cp -R ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/lib/%{name}_modules %buildroot/%_exec_prefix/lib/

mkdir -p %buildroot/%_datadir/%{name}
cp -R ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/share/man %buildroot/%_datadir
cp -R ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/share/systemtap %buildroot/%_datadir

mkdir -p %buildroot/%_docdir/%{name}
cp ${RPM_BUILD_DIR}/%{name}-v%{version}-linux-x64/CHANGELOG.md LICENSE README.md %buildroot/%_docdir/%{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%_bindir/node
%_bindir/npm
%_datadir/systemtap/tapset/node.stp
%_datadir/man/man1/node.1.bz2
%_exec_prefix/lib/node_modules/
%_includedir/node/
%_docdir/%name

%changelog
* Mon Aug 21 2017 bb2 <bb2> - 6.11.2-1pclos2017
- new version

* Sun Mar 27 2016 Archie Arevalo <archie at pclosmail.com> 5.9.1-1_archie_2016
- update to 5.9.1

* Mon Mar 21 2016 Archie Arevalo <archie at pclosmail.com> 5.9.0-1_archie_2016
- Update to 5.9.0
